#ifndef __MAIN_H__
#define __MAIN_H__

/**
 * File Name  : main.h
 *
 * Description: Main module of the application
 */

/*
 * This file is part of hello-world.
 *
 * hello-world is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * hello-world is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2009 iRex Technologies B.V.
 * All rights reserved.
 */


//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------

#include <gtk/gtk.h>

G_BEGIN_DECLS


//----------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------- 


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------

typedef enum
        {
            ICONVIEW = 0,
            LISTVIEW,
            N_VIEWTYPES
        } viewtypes_t;


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Variables
//----------------------------------------------------------------------------

GtkWidget       *g_main_window;
GtkWidget       *g_volume;      //TODO: remove for real application
GtkWidget       *g_action;      //TODO: remove for real application
gchar           *g_mountpoint;  //TODO: remove for real application


//============================================================================
// Public Functions
//============================================================================

void    main_set_locale         ( const char    *locale );

void    main_set_view_type      ( viewtypes_t   view_type );    //TODO: remove for real application

void    main_quit               ( void );

void    run_error_dialog        ( const gchar   *msg );


G_END_DECLS

#endif /* __MAIN_H__ */
